Bug 1577327 - [abrt] aircrack-ng: dump_add_packet(): airodump-ng killed by SIGILL
Summary: [abrt] aircrack-ng: dump_add_packet(): airodump-ng killed by SIGILL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: aircrack-ng
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ivan Chavero
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d902603d25c5f8e064d1527dacf...
: 1589106 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 17:53 UTC by admin
Modified: 2019-01-22 18:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 18:31:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (142.04 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: cgroup (399 bytes, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: core_backtrace (3.00 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: dso_list (932 bytes, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: environ (4.82 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: exploitable (103 bytes, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: maps (4.96 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: mountinfo (4.05 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: open_fds (503 bytes, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-11 17:53 UTC, admin
no flags Details

Description admin 2018-05-11 17:53:02 UTC
Description of problem:
airmon-ng start wlp2s0
airodump-ng wlp2s0mon

Version-Release number of selected component:
aircrack-ng-1.2-0.11rc4.fc26

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        airodump-ng --wps wlp2s0mon
crash_function: dump_add_packet
executable:     /usr/sbin/airodump-ng
journald_cursor: s=0630e23e1eef41a39641b78b41e8035c;i=22ebd;b=a81e6c7cd16343f280aacffe4f23325c;m=53249104;t=56bddcab5c4ff;x=f97496d1fdecf38b
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 dump_add_packet at airodump-ng.c:1433

Potential duplicate: bug 1512401

Comment 1 admin 2018-05-11 17:53:08 UTC
Created attachment 1435062 [details]
File: backtrace

Comment 2 admin 2018-05-11 17:53:10 UTC
Created attachment 1435063 [details]
File: cgroup

Comment 3 admin 2018-05-11 17:53:11 UTC
Created attachment 1435064 [details]
File: core_backtrace

Comment 4 admin 2018-05-11 17:53:12 UTC
Created attachment 1435065 [details]
File: cpuinfo

Comment 5 admin 2018-05-11 17:53:14 UTC
Created attachment 1435066 [details]
File: dso_list

Comment 6 admin 2018-05-11 17:53:15 UTC
Created attachment 1435067 [details]
File: environ

Comment 7 admin 2018-05-11 17:53:17 UTC
Created attachment 1435068 [details]
File: exploitable

Comment 8 admin 2018-05-11 17:53:18 UTC
Created attachment 1435069 [details]
File: limits

Comment 9 admin 2018-05-11 17:53:19 UTC
Created attachment 1435070 [details]
File: maps

Comment 10 admin 2018-05-11 17:53:21 UTC
Created attachment 1435071 [details]
File: mountinfo

Comment 11 admin 2018-05-11 17:53:22 UTC
Created attachment 1435072 [details]
File: open_fds

Comment 12 admin 2018-05-11 17:53:24 UTC
Created attachment 1435073 [details]
File: proc_pid_status

Comment 13 Vadim 2018-06-08 12:23:43 UTC
*** Bug 1589106 has been marked as a duplicate of this bug. ***

Comment 14 Ivan Chavero 2019-01-22 18:31:45 UTC
Ï've created a new package that should fix this problem: https://koji.fedoraproject.org/koji/buildinfo?buildID=1181524

I'm closing this bug, feel free to reopen it if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.